Swap
=================
Submission for the 2013 Github Game Jam

By [@nmoroze](https://github.com/nmoroze) and [@themichaelyang](https://github.com/themichaelyang)

Official link: http://nmoroze.github.io/swap

*Note:* We recently became aware of an issue where a modified version of our game under a domain bearing a similar name was being used for adware. That website is in *no way* affiliated with us — Please only use the official link when playing the game! (In the meantime, we've issued a takedown notice to Google).

About the Game
-----------------
Swap is a new take on the classic tile-based puzzle game.

*Change* which character you're controlling to reach your goal -- but be careful, as characters you're not controlling will often have a mind of their own! Progress through a multitude of tricky and challenging levels, and watch as that death count piles up. If you're stuck, you can always hit the 'skip' button to move on, or the 'reset' button to start the level over.

Swap is written in Javascript using the HTML 5 canvas for rendering. It is playable in the browser [here](http://nmoroze.github.io/swap), and is working in Chrome, Safari, Firefox, and Internet Explorer 11. 

Enjoy!

Controls (now with VIM keybindings!)
-----------------
WASD/arrow keys/vim hjkl - move your character  
Space - switch to another character

Screenshots
-----------------
![Welcome](http://i.imgur.com/AJJg9Me.png?1)

![In action!](http://i.imgur.com/b7ka27o.png?1)

Open Source Projects Used
-------------------------
* [Keypress](http://dmauro.github.io/Keypress/) for input. 
* [Font Awesome](http://fontawesome.io/) for icons.

Acknowledgements
-----------------
* [@goldsmith](https://github.com/goldsmith) for his Javascript mentorship

* The background music is "2nd Ballad" by [DeceasedSuperiorTechnician](http://www.nosoapradio.us/)

* The kind people of Reddit's [/r/gamedev](http://www.reddit.com/r/gamedev) for feedback and advice:
  * [Using event driven vs Polling Input](http://www.reddit.com/r/gamedev/comments/1qee41/using_event_driven_vs_polling_input/)
  * [Feedback Friday 55](http://www.reddit.com/r/gamedev/comments/1qnozf/feedback_friday_55/cdep5ni)
  * [Feedback Friday 56](http://www.reddit.com/r/gamedev/comments/1r71ps/feedback_friday_56/cdk8kjo)
  * [Feedback Friday 57](http://www.reddit.com/r/gamedev/comments/1rp8au/feedback_friday_57/cdpkcg3)

Thank you!

License
--------
This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 International License. To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
